Μετάβαση στο περιεχόμενο

Members

Members of organizations

The member object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the organization this member is defined in

user_iduuid
user_profiles.user_id

Identifier of the related user

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

roleRole

Role of the member

Related resources

Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).

organizations(*)object | null
organizations

The organization referenced by organization_id.

user_profiles(*)object | null
user_profiles

The user profile referenced by user_id.

permissions(*)array
permissions

The permissions referencing this member through permissions.member_id.

task_assignees(*)array
task_assignees

The task assignees referencing this member through task_assignees.member_id.

task_template_assignees(*)array
task_template_assignees

The task template assignees referencing this member through task_template_assignees.member_id.

The member object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:27:25.472Z",
  "updated_at": "2026-10-30T23:27:25.472Z",
  "role": "user"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/members?limit=10&select=*,organizations(*),user_profiles(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List members

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the organization this member is defined in

user_idFilter<uuid>
user_profiles.user_id

Identifier of the related user

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

roleFilter<Role>

Role of the member

Responses

200

A list of members with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /members
curl -X GET "https://api.bookingmood.com/v1/members?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "organization_id": "00000000-0000-0000-0000-000000000000",
    "user_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:27:25.472Z",
    "updated_at": "2026-10-30T23:27:25.472Z",
    "role": "user"
  }
]

Invite member

Invite a member to your organization. The member will receive an email with a link to accept the invitation. The member will have the user role. To make a member admin or superuser use the dashboard.

Body

emailrequiredstring

The email address of the member to invite.

languageLanguage

The member's preferred language.

namestring

The name of the member to invite.

Responses

201

The invited member with user profile information

POST /members
curl -X POST "https://api.bookingmood.com/v1/members" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "johndoe@example.com",
    "name": "John Doe"
  }'
Example response
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:27:25.472Z",
  "updated_at": "2026-10-30T23:27:25.472Z",
  "role": "user",
  "user_profile": {
    "referrer_id": "00000000-0000-0000-0000-000000000000",
    "user_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:27:25.472Z",
    "updated_at": "2026-10-30T23:27:25.472Z",
    "avatar": "",
    "email": "guest@example.com",
    "first_week_contains_date": 0,
    "language": "en-US",
    "last_login_at": "2026-10-30T23:27:25.472Z",
    "name": "Summer cottage",
    "source": "",
    "week_starts_on": 0
  }
}

Revoke member

Revoke a member from your organization. The member will no longer have access to your organization. Only works for members with the user role. To revoke an admin or superuser members use the dashboard.

Parameters

idrequireduuid

The identifier of the member to revoke.

Responses

200

The deleted member

DELETE /members
curl -X DELETE "https://api.bookingmood.com/v1/members?id=00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"

Αναλάβετε τον έλεγχο των κρατήσεών σας. Δημιουργήστε τη δική σας επιχείρηση.

Γίνετε μέλος της κοινότητας των 1200+ ανεξάρτητων επιχειρήσεων ενοικίασης καταλυμάτων διακοπών που χρησιμοποιούν το Bookingmood για να αυξήσουν τις απευθείας κρατήσεις και να δημιουργήσουν ισχυρότερες σχέσεις με τους επισκέπτες.

Ξεκινήστε δωρεάν δοκιμή 14-ημέρας